{{- if index .Values "istio-discovery" "telemetry" "enabled" }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ printf "%s-%s" (include "kubezero-lib.fullname" $) "grafana-dashboards" | trunc 63 | trimSuffix "-" }}
  namespace: {{ .Release.Namespace }}
  labels:
    grafana_dashboard: "1"
{{ include "kubezero-lib.labels" . | indent 4 }}
  annotations:
    k8s-sidecar-target-directory: Istio
binaryData:
  istio-control-plane.json.gz:
    [encoded data, 4612 characters]
  istio-mesh.json.gz:
    [encoded data, 5160 characters]
  istio-service.json.gz:
    [encoded data, 6928 characters]
  istio-workload.json.gz:
    [encoded data, 6844 characters]
{{- end }}
